Page MenuHomePhabricator

Improve illustration on pagepreview disable screen and make it RTL compatible
Closed, ResolvedPublic3 Story Points

Description

Problem

The illustration after a user disables pagepreviews, which is supposed to indicate the position of "enable page preview" link in the footer is bad. very bad. it is also not RTL compatible

Solution

Improve it and provide RTL version

Zeplin
LTR: https://zpl.io/ZBunrg
RTL: https://zpl.io/10P7uP

QA Steps

  1. Visit http://reading-web-staging.wmflabs.org/wiki/Test.
  2. Log out (if necessary).
  3. Dwell on the "Lead section image" link until a preview appears.
  4. Click the settings cog.
  5. Disable PP.
  6. Observe the new illustration.

Repeat the same steps when viewing an RTL interface language, e.g. http://reading-web-staging.wmflabs.org/wiki/Test?uselang=he

Event Timeline

Amire80 created this task.Dec 30 2016, 6:14 PM
Restricted Application added a project: I18n. ยท View Herald TranscriptDec 30 2016, 6:14 PM
Restricted Application added a subscriber: Aklapper. ยท View Herald Transcript
Amire80 updated the task description. (Show Details)Dec 30 2016, 6:14 PM
phuedx triaged this task as High priority.Jan 5 2017, 10:33 AM
phuedx added a project: Readers-Web-Backlog.
phuedx set the point value for this task to 1.
phuedx moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
ovasileva moved this task from Backlog to For Review on the Page-Previews board.Feb 2 2017, 3:42 PM
ovasileva moved this task from For Review to 2016-17-Q3-Goal on the Page-Previews board.
ovasileva moved this task from Triaged but Future to Upcoming on the Readers-Web-Backlog board.
ovasileva added subscribers: Nirzar, ovasileva.

@Nirzar - what should behavior be here?

Nirzar claimed this task.Feb 9 2017, 7:02 PM
Nirzar renamed this task from flip the disabling explanation image for Hovercards in RTL languages to Improve illustration on pagepreview disable screen and make it RTL compatible .Feb 10 2017, 10:20 PM
Nirzar updated the task description. (Show Details)
Nirzar removed the point value for this task.

@ovasileva updated description. we can reprioritize and reestimate

ovasileva set the point value for this task to 2.Feb 15 2017, 6:32 PM
ovasileva changed the point value for this task from 2 to 3.
Nirzar removed Nirzar as the assignee of this task.Feb 23 2017, 9:49 PM
phuedx added a subscriber: phuedx.Mar 21 2017, 4:45 PM

@Nirzar: Could you upload the LTR and RTL versions of the image in your designs to Zeplin?

@Nirzar - wasn't there another task for this? I can't seem to find it

@Nirzar - wasn't there another task for this? I can't seem to find it

This is that task! See T154330#3018450.

@Nirzar I understand that the proposed solution solves the problem with RTL languages, however does it solve the following:

... is bad. very bad. ...

I'm not sure what's bad about it. A clarification would help implement the right solution. /cc @Amire80

bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-96 board.

sure.

Why is the current illustration bad.

Too minimalistic - the current illustration removes all point of references around where these links are. The primary purpose of illustration is to show the position of footer links. We need to show the position in relation with the entire page. aka at the bottom of the page.

Change 349535 had a related patch set uploaded (by Bmansurov):
[mediawiki/extensions/Popups@master] Improve illustration on disable popup

https://gerrit.wikimedia.org/r/349535

@Nirzar you can test the above patch at http://reading-web-staging.wmflabs.org/w/index.php?title=Test by hovering over "lead section image". Make sure you're logged out.

Ow. I'm not sure why does the bug description say "bad. very bad". I only meant to say that it's confusing with regards to RTL.

Change 349535 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Improve illustration on disable popup

https://gerrit.wikimedia.org/r/349535

phuedx reassigned this task from bmansurov to ABorbaWMF.Apr 24 2017, 6:51 PM
phuedx updated the task description. (Show Details)
phuedx moved this task from Needs Code Review to Needs QA on the Reading-Web-Sprint-96 board.

Ow. I'm not sure why does the bug description say "bad. very bad". I only meant to say that it's confusing with regards to RTL.

That was me. I wrote that. :)

Tested on http://reading-web-staging.wmflabs.org/wiki/Test?uselang=he

Tried on Chrome, Firefox, IE/Edge, and Opera browsers on a variety of Mac and Windows OS devices. Appears to be fixed.

phuedx reassigned this task from ABorbaWMF to Nirzar.EditedApr 26 2017, 10:34 AM
phuedx added a subscriber: ABorbaWMF.

@Nirzar: I know you've looked at this on the staging server before but that was with a specific commit checked out. I've updated the staging server to the tip of the master branch (to be deployed next Thursday, 4th May). Could you have another gander at it?

@phuedx checked again on HE. looks good!

phuedx closed this task as Resolved.Apr 26 2017, 9:13 PM

I'll be the signer offerer for PP tasks (that I haven't submitted changes for) while @ovasileva is OOO.

Per T154330#3215369, this is ๐Ÿ‘